# $Id: cacti-spine.spec 5993 2007-11-16 02:17:11Z dag $
# Authority: dag
# Upstream: <cacti-user$lists,sf,net>

%{?dtag: %{expand: %%define %dtag 1}}
%{?rh7:%define _without_net_snmp 1}
%{?el2:%define _without_net_snmp 1}
%{?rh6:%define _without_net_snmp 1}

Summary: Fast c-based poller for the cacti graphing solution
Name: cacti-spine
Version: 0.8.7g
Release: 1.ru
License: LGPLv2+
Group: Applications/System
URL: http://www.cacti.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cacti.net/downloads/spine/cacti-spine-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: mysql-devel, openssl-devel, automake, libtool

%{!?_without_net_snmp:BuildRequires: net-snmp-devel, net-snmp-utils}
%{?_without_net_snmp:BuildRequires: ucd-snmp-devel, ucd-snmp-utils}

Requires: cacti

Obsoletes: cacti-cactid <= %{version}-%{release}
Provides: cacti-cactid = %{version}-%{release}

%description
Spine is a supplemental poller for Cacti that makes use of pthreads
to achieve excellent performance.

%prep
%setup -q

### FIXME: Patch to use /usr/lib64 on 64bit (Please fix upstream)
%{__perl} -pi.orig -e 's|/lib\b|/%{_lib}|g' configure
chmod 755 configure

%build
autoreconf --force --install --symlink
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING LICENSE* NEWS README
%{_bindir}/spine

%defattr(-, cacti, cacti, -)
%config(noreplace) %{_sysconfdir}/spine.conf.dist

%changelog
* Fri Sep 24 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> - 0.8.7g-1.ru
- Update to 0.8.7g

* Tue Jun 01 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 0.8.7e-1.ru
- Update to 0.8.7e

* Tue Mar 24 2009 Brian Schubert <schubert@nbcs.rutgers.edu> - 0.8.7c-2.ru
- Added automake, libtool to BuildRequires

* Tue Mar 20 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.8.7c-1.ru
- bumped to 0.8.7c
- removed poller.c fix - upstreamed

* Wed Jan 21 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.8.7.svn4884-3.ru
- added patch for poller.c to fix buffer overflow problem
- took out Makefile hack

* Tue Jan 20 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.8.7.svn4884-2.ru
- added Makefile hack to remove optimization for debugging purposes

* Tue Jan 20 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.8.7.svn4884-1.ru
- built against latest svn

* Sun Feb 10 2008 Dag Wieers <dag@wieers.com> - 0.8.7a-1 - 5993+/dag
- Updated to release 0.8.7a.

* Mon Oct 29 2007 Dag Wieers <dag@wieers.com> - 0.8.7-1
- Updated to release 0.8.7.
- Rename package from cacti-cactid to cacti-spine.

* Thu Jan 18 2007 Matthias Saou <http://freshrpms.net/> 0.8.6i-1
- Update to 0.8.6i.
- Include only relevant documentation.

* Mon Jan 30 2006 Dag Wieers <dag@wieers.com> - 0.8.6g-1
- Updated to release 0.8.6g.

* Tue Aug 09 2005 Dag Wieers <dag@wieers.com> - 0.8.6e-1
- Updated to release 0.8.6e.

* Thu May 19 2005 Matthias Saou <http://freshrpms.net/> 0.8.6d-2
- Make the config file mode 0600 (it contains the mysql db password) and owned
  by the cacti user (he executes the cron job).
- Add missing openssl-devel build requirement (at least on RHEL4).

* Mon Apr 04 2005 Dag Wieers <dag@wieers.com> - 0.8.6d-1
- Initial package. (using DAR)
